eID middleware |

# be::portugal::eid::PTEID_ExCardBadType Class Reference

Exception class Bad Card Type (error code = EIDMW_ERR_CARDTYPE_BAD). More...

Inheritance diagram for be::portugal::eid::PTEID_ExCardBadType:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExCardBadType ()

## Detailed Description

Exception class Bad Card Type (error code = EIDMW_ERR_CARDTYPE_BAD).

Throw when the card type doesn't correspond to what is asked. Used in :

- PTEID_ReaderContext::getEIDCard()
- PTEID_ReaderContext::getKidsCard()
- PTEID_ReaderContext::getForeignerCard()
- PTEID_ReaderContext::getSISCard()

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExCardBadType::PTEID_ExCardBadType | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExCardBadType::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.